#ifndef PAUZE_MENU_H_
#define PAUZE_MENU_H_

#include <string>
#include "SDL.h"
#include "SDL_thread.h"
#include "shpimage.h"
#include "widgets.h"
#include "mapsini.h"


class PauseMenuClass {
	public:
		PauseMenuClass();
		~PauseMenuClass();

		int HandleMenu(void);

	private:
		void HandleInput (void);


		Font			MenuFont,
						VersionFont;

		SDL_Color		Font_color;

		void DrawMousePointer (void);

		// Buttons for the main menu
		ButtonClass 	OptionsButton,
						ExitButton,
						ContinueButton;


		RA_WindowClass	PauseWindow;

		SDL_Surface		*display,
						*my_cursor;

		Dune2Image	*cursorimg;

		bool			isDone;		// Exit the menu if this var is true
};
#endif //PAUZE_MENU_H_
